Groovy 1.7.0

## org.codehaus.groovy.util
Class HardRef

    java.lang.Object
      org.codehaus.groovy.util.HardRef

All Implemented Interfaces:
  PhantomReference

    class HardRef

Constructor Summary
`HardRef(TT referent, V handler, ReferenceQueue q)`

Method Summary
`void` | `clear()`
`TT` | `get()`
`V` | `getHandler()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### HardRef

    public HardRef(TT referent, V handler, ReferenceQueue q)

Method Detail

### clear

    public void clear()

### get

    public TT get()

### getHandler

    public V getHandler()

Copyright © 2003-2009 The Codehaus. All rights reserved.